This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 812401 - [abrt] kernel: WARNING: at include/net/mac80211.h:3614 rs_get_rate+0x2f5/0x310 [iwlwifi]()
[abrt] kernel: WARNING: at include/net/mac80211.h:3614 rs_get_rate+0x2f5/0x31...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:5b34f9c7ef9ce47e67359cd0a92...
:
: 812821 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 11:38 EDT by Robert Foreman
Modified: 2012-11-14 15:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 15:37:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Foreman 2012-04-13 11:38:35 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.1-2.fc16.x86_64 root=UUID=4230198d-dd20-4e15-867f-cf061030a287 ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=us quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8 i915.semaphores=1 i915.i915_enable_rc6=1
comment:        Not entirely certain, but I think it was related to Google Talk voip call through Chrome using the Google Voice plug-in.
kernel:         3.3.1-2.fc16.x86_64
reason:         WARNING: at include/net/mac80211.h:3614 rs_get_rate+0x2f5/0x310 [iwlwifi]()
time:           Fri 13 Apr 2012 11:11:51 AM EDT

backtrace:
:WARNING: at include/net/mac80211.h:3614 rs_get_rate+0x2f5/0x310 [iwlwifi]()
:Hardware name: XPS L412Z
:Modules linked in: tcp_lp ppdev parport_pc lp parport hidp fuse ebtable_nat ebtables ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc rfcomm be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack snd_hda_codec_hdmi snd_hda_codec_realtek arc4 vhost_net macvtap macvlan tun virtio_net kvm_intel kvm snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device iwlwifi mac80211 snd_pcm cfg80211 dell_wmi sparse_keymap atl1c joydev i2c_i801 iTCO_wdt snd_timer iTCO_vendor_support snd uvcvideo videobuf2_core videodev media v4l2_compat_ioctl32 videobuf2_vmalloc videobuf2_memops soundcore snd_page_alloc dell_laptop btusb bluetooth uinput microcode rfkill dcdbas wmi i915 drm_kms_helper drm 
:i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 0, comm: swapper/0 Not tainted 3.3.1-2.fc16.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff8105798f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff810579ea>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa0308245>] rs_get_rate+0x2f5/0x310 [iwlwifi]
: [<ffffffffa027ebae>] rate_control_get_rate+0xae/0x180 [mac80211]
: [<ffffffffa028aa0f>] invoke_tx_handlers+0x7cf/0x1400 [mac80211]
: [<ffffffff810821a8>] ? __wake_up_common+0x58/0x90
: [<ffffffffa0269d5c>] ? sta_info_get+0x6c/0x80 [mac80211]
: [<ffffffffa028b790>] ieee80211_tx+0x60/0xc0 [mac80211]
: [<ffffffffa028c942>] ieee80211_tx_pending+0x162/0x270 [mac80211]
: [<ffffffff8105e958>] tasklet_action+0x78/0x140
: [<ffffffff8105efb8>] __do_softirq+0xb8/0x230
: [<ffffffff810e3c30>] ? handle_irq_event+0x50/0x70
: [<ffffffff815fd41c>] call_softirq+0x1c/0x30
: [<ffffffff81016455>] do_softirq+0x65/0xa0
: [<ffffffff8105f3ce>] irq_exit+0x9e/0xc0
: [<ffffffff815fdc83>] do_IRQ+0x63/0xe0
: [<ffffffff815f422e>] common_interrupt+0x6e/0x6e
: <EOI>  [<ffffffff8131b236>] ? intel_idle+0xe6/0x150
: [<ffffffff8131b218>] ? intel_idle+0xc8/0x150
: [<ffffffff814a4011>] cpuidle_idle_call+0xc1/0x280
: [<ffffffff8101322f>] cpu_idle+0xcf/0x120
: [<ffffffff815d22de>] rest_init+0x72/0x74
: [<ffffffff81cf0bf8>] start_kernel+0x3ba/0x3c5
: [<ffffffff81cf0346>] x86_64_start_reservations+0x131/0x135
: [<ffffffff81cf0140>] ? early_idt_handlers+0x140/0x140
: [<ffffffff81cf044c>] x86_64_start_kernel+0x102/0x111

smolt_data:
:
:
:General
:=================================
:UUID: 4c3ef9b8-1879-4e0c-ad42-da78b480bb8a
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4988.78
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2450M CPU @ 2.50GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2501
:System Memory: 7935
:System Swap: 9999
:Vendor: Dell Inc.
:System: XPS L412Z A03
:Form factor: Portable
:Kernel: 3.3.1-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:21001:4136:1311) pci, None, MISC, N/A
:(4172:33345:4136:1311) pci, xhci_hcd, USB, N/A
:(32902:294:4136:1311) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4136:1311) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4136:1311) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7243:4136:1311) pci, None, PCI/ISA, HM67 Express Chipset Family LPC Controller
:(6505:4227:4136:1314) pci, atl1c, ETHERNET, AR8151 v2.0 Gigabit Ethernet
:(32902:7200:4136:1311) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7188:4136:1311) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 3
:(32902:7202:4136:1311) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:145:32902:21025) pci, iwlwifi, NETWORK, Centrino Advanced-N 6230 AGN
:(32902:7171:4136:1311) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7206:4136:1311) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4136:1311) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4136:1311) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(32902:7194:4136:1311) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda3 / ext4 4096 4096 13081819 11697712 11042352 3276800 3137580 3137580
:/dev/sda2 /boot ext4 1024 1024 508745 459444 433844 128016 127795 127795
:/dev/sda5 /home ext4 4096 4096 51137456 14677573 12117573 12804096 12767919 12767919
:/dev/sda6 WITHHELD ext4 4096 4096 116022666 111563465 105756069 29040640 29040611 29040611
:
Comment 1 John W. Linville 2012-04-13 13:14:25 EDT
static inline s8
rate_lowest_index(struct ieee80211_supported_band *sband,
                  struct ieee80211_sta *sta)
{
        int i;

        for (i = 0; i < sband->n_bitrates; i++)
                if (rate_supported(sta, sband->band, i))
                        return i;

        /* warn when we cannot find a rate. */
        WARN_ON_ONCE(1);

        /* and return 0 (the lowest index) */
        return 0;
}
Comment 2 Dave Jones 2012-04-16 10:30:57 EDT
*** Bug 812821 has been marked as a duplicate of this bug. ***
Comment 3 Dave Jones 2012-10-23 11:41:48 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 4 Justin M. Forbes 2012-11-14 15:37:14 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.